## Hopefully Mono and multilib will play nicely soon, but until then...
%define	_libdir %{_prefix}/lib
%define dbus_sharp_min_version 0.60

Name:		blam
Version:	1.8.3
Release:	3%{?dist}
Summary:	An RSS/RDF feed reader

Group:		Applications/Internet
License:	GPL
URL:		http://www.cmartin.tk/blam.html

Source0:	http://www.cmartin.tk/blam/%{name}-%{version}.tar.bz2
Patch0:		%{name}-fix-PrintJob-ambiguous-reference.patch
Patch1:		%{name}-fedora-people-in-default-collection.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel
BuildRequires:	gnome-sharp-devel
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gecko-sharp2-devel
BuildRequires:	gecko-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	dbus-sharp-devel >= %{dbus_sharp_min_version}

Requires:	dbus-sharp >= %{dbus_sharp_min_version}	
Requires:	gecko-sharp2
Requires:       firefox = %(rpm -q firefox-devel --qf '%%{version}' 2>/dev/null)

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	desktop-file-utils

Requires(preun):	GConf2

Requires(postun):	desktop-file-utils

%description
Blam is a tool that helps you keep track of the growing 
number of news feeds distributed as RSS. Blam lets you 
subscribe to any number of feeds and provides an easy to 
use and clean interface to stay up to date


%prep
%setup -q
%patch0 -p0 -b .fix-PrintJob-ambiguous-reference-compile-error
%patch1 -p0 -b .add-fedora-people-feed-to-default-collection.xml


%build
export CFLAGS="%{optflags} -debug"
%configure --disable-static 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora	\
	--delete-original	\
        --dir %{buildroot}%{_datadir}/applications	\
        %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%post
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%exclude %{_libdir}/blam/*.la 
%{_libdir}/blam
%{_datadir}/blam
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man?/%{name}.1*

%changelog
* Fri Apr 06 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-3
- Add hard dependency on dbus-sharp, since it's not automatically picked up
  by RPM at build-time from the dbus-sharp-devel BuildRequires. (Thanks to
  David Nielsen for the bug report via Jabber.)
- Add minimum version for dbus-sharp and dbus-sharp-devel dependencies.

* Wed Apr 04 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-2
- (Note to self: Don't fix it if it's not broken.) Drop unnecessary default
  theme fix:
  - fix-default-theme-base-href.patch
- Add patch to put the Fedora People feed into the default collection.xml:
  + fedora-people-in-default-collection.patch

* Wed Mar 07 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-1
- Unorphan, since Carlos Martín Nieto has picked upstream development.
- Update to new upstream release (1.8.3)
- Add dbus-sharp-devel to the BuildRequires to properly allow D-Bus support.
- Lots of spec file cleanups:
  (1) Use macros instead of $RPM_* variables
  (2) Whitespace/formatting adjustments
  (3) Don't mark installed GConf schemas as %%config 
- Drop unnecessary patches:
  - gtk-sharp2-gecko-sharp2.patch
  - aclocal.m4-ngettext.patch
- Add a backported patch (from 1.8.4) to fix compilation error:
  + fix-PrintJob-ambiguous-reference.patch
- Add a backported patch (from 1.8.4) to fix the default theme base location:
  + fix-default-theme-base-href.patch

* Fri Jul 14 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-6
- Add missing gecko-sharp2 runtime dependency, fixes #196706

* Sun May 28 2006 John Mahowald  <jpmahowald@gmail.com> - 1.8.2-5
- fix gettext autoconf macro for x86_64

* Sun May 21 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-4
- readd .so
- reenable find_lang
- mark gconf schemea as config

* Thu May 18 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-2
- gtk-sharp2 gecko-sharp2
- no .a, .la, .so

* Tue Mar 23 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-1
- Initial build
